ul.wynajem-radio-list {
	list-style-type: none;
	padding-left: 1.2em;
}
ul.wynajem-radio-list input[type=radio] {
	margin-right: 2px;
}


#okres-wypozyczenia.disabled {
	opacity: .3;
	pointer-events: none;
}
#okres-wypozyczenia-button {
	display: none;
}
div.rent-calendar {
	position: relative;
	display: inline-block;
	border: 1px solid #888;
	background: white;
	font-size: 11pt;
	color: black;
	-moz-user-select: none;
	-ms-user-select: none;
	-webkit-user-select: none;
	user-select: none;
}
div.rent-calendar.popup {
	position: absolute;
	z-index: 1000;
}
div.rent-calendar div.top-bar {
	display: none;
}
div.rent-calendar div.bottom-bar {
	display: none;
}
div.rent-calendar .nav {
	position: absolute;
	top: 5px;
	font-family: 'courier new', sans-serif;
	font-weight: bold;
	line-height: 24px;
	background: white;
	display: none;
}
div.rent-calendar .nav.visible {
	display: block;
}
div.rent-calendar .nav span {
	display: inline-block;
	width: 1.5em;
	color: #888;
	text-align: center;
	cursor: pointer;
}
div.rent-calendar .nav span:hover {
	color: black;
	outline: 1px solid rgba(0,0,0,.1);
}
div.rent-calendar .nav.left {
	left: 0;
	padding: 0 2px 0 8px;
}
div.rent-calendar .nav.right {
	right: 0;
	padding: 0 8px 0 2px;
}

div.rent-calendar div.boxes {
	display: flex;
	overflow: hidden;
	box-sizing: border-box;
	width: 100%;
}
div.rent-calendar div.boxes div.info {
	display: none;
}
div.rent-calendar div.month-box {
	padding: 8px 10px 3px;
	flex-shrink: 0;
}

div.rent-calendar h2 {
	margin: 0 5px 5px 5px;
    padding: 0;
    font-size: 11pt;
    font-weight: bold;
    text-align: center;
}
div.rent-calendar table {
	border-collapse: separate;
	border-spacing: 1px;
	background: #ccc;
}
div.rent-calendar table thead {
	background: white;
}
div.rent-calendar table th {
	font-weight: normal;
	font-size: 90%;
	opacity: .7;
}
div.rent-calendar table th,
div.rent-calendar table td {
	padding: 0px 0px;
	width: 31px;
	text-align: center;
	cursor: default;
}
div.rent-calendar table td {
	position: relative;
	background: white;
}
div.rent-calendar table td span {
	display: block;
	min-height: 28px;
	line-height: 29px;
	opacity: .3;
}
div.rent-calendar table td.active {
	cursor: pointer;
}
div.rent-calendar table td.active span {
	opacity: 1;
}
div.rent-calendar table td.today {
	font-weight: bold;
}
div.rent-calendar table td.active.disabled {
	cursor: not-allowed;
}
div.rent-calendar table td.active.disabled:not(.saturday):not(.holiday) {
	color: #888;
}
div.rent-calendar table .saturday {
	color: #005ed7;
}
div.rent-calendar table .holiday,
div.rent-calendar table .holiday.saturday {
	color: #e60056;
}
div.rent-calendar table td.selected {
	filter: saturate(250%);
}
div.rent-calendar table td.selected span::after {
	display: block;
	content: '';
	height: calc(100% - 1px);
	outline: 2px solid #083100;
	position: absolute;
	top: 0;
	width: calc(100% - 1px);
	box-shadow: 0 0 4px 3px rgba(254, 255, 233, 0.5);
}
div.rent-calendar table td.selected.saturday {
	color: #2f598e;
}
div.rent-calendar table td.selected.holiday,
div.rent-calendar table td.selected.holiday.saturday {
	color: #953257;
}
div.rent-calendar table td.active:not(.disabled):hover {
	filter: brightness(93%);
}
div.rent-calendar table td.selected.active:hover {
	filter: saturate(250%) brightness(93%);
}
div.rent-calendar td.live-range span {
	background: rgba(0,0,0,.1);
}
div.rent-calendar div.legend {
	display: grid;
	grid-template-columns: auto auto;
	gap: 0 15px;
	margin: 0 10px 5px 10px;
	font-size: 10pt;
	min-height: 4.4ex;
}
div.rent-calendar div.legend span.legend-color {
	display: inline-block;
	width: 27px;
	height: 27px;
	margin-right: 2px;
	vertical-align: middle;
}
div.rent-calendar div.legend > * {
	margin: 2px 0;
}

div.daty-wypozyczenia {
	display: flex;
	flex-wrap: wrap;
	display: grid;
	grid-template-columns: auto auto;
	grid-template-rows: auto;
	justify-content: start;
	align-items: center;
	gap: 4px;
	margin: 10px 0 4px 0;
}
div.daty-wypozyczenia.z-godzinami {
	grid-template-columns: auto auto auto 1fr;
}
div.daty-wypozyczenia > * {
	margin-right: 4px;
	min-height: 3.7ex;
	white-space: nowrap;
}
div.daty-wypozyczenia > .info {
	display: none;
	white-space: normal;
	color: #950095;
	grid-column-start: 3;
	grid-column-end: span 2;
}
div.daty-wypozyczenia input[type=text] {
	width: 10ch;
	text-align: right;
	font-weight: bold;
	border: 0;
}
div.daty-wypozyczenia .nazwa {
	text-align: right;
}
div.daty-wypozyczenia .godzina.nazwa {
	margin-left: 5px;
}
div.daty-wypozyczenia:not(.z-godzinami) .godzina {
	display: none;
}
#warunki_wypozyczenia {
	border: 1px solid #888;
	background: lightyellow;
	font-weight: normal;
	padding: 10px;
	border-radius: 3px;
	margin-top: 15px;
}
#warunki_wypozyczenia h2 {
	margin: 3px 0 9px 0;
	color: red;
	font-size: 130%;
}

@media (max-width: 480px) {
	div.daty-wypozyczenia,
	div.daty-wypozyczenia.z-godzinami {
		grid-template-columns: auto auto;
	}
	div.daty-wypozyczenia > *:nth-child(1),
	div.daty-wypozyczenia > *:nth-child(2),
	div.daty-wypozyczenia > *:nth-child(5),
	div.daty-wypozyczenia > *:nth-child(6) {
		padding-top: 10px;
	}
}

@media (max-width: 550px) and (orientation: portrait) {
	#okres-wypozyczenia-button {
		display: inline;
	}
	#okres-wypozyczenia-label {
		display: none;
	}
	div.rent-calendar {
		position: fixed;
		top: 0;
		bottom: 0;
		right: 0;
		left: 0;
		padding: 10px 0;
		background: rgba(0,0,0,.8);
		width: auto !important;
		z-index: 100;
	}
	div.rent-calendar .nav {
		display: none !important;
	}
	div.rent-calendar div.inner-wrapper {
		display: flex;
		flex-direction: column;
		height: 100%;
		max-width: 23em;
		margin: 0 auto;
		background: white;
		border-radius: 3px;
	}
	div.rent-calendar div.boxes {
		display: block;
		overflow: auto;
	}
	div.rent-calendar div.boxes div.info {
		display: block;
		text-align: center;
		margin-bottom: 10px;
	}
	div.rent-calendar table td:empty {
		height: 0;
		padding: 0;
	}
	div.rent-calendar div.top-bar {
		display: block;
		text-align: right;
	}
	div.rent-calendar div.top-bar .close-x {
		color: #aaa;
		cursor: pointer;
		font-family: sans-serif;
		font-size: 14pt;
		padding: 2px 6px 2px 6px;
		transform: scaleX(1.3);
		display: inline-block;
	}
	div.rent-calendar div.top-bar .close-x:hover {
		color: black;
	}
	div.rent-calendar table {
		border-spacing: 0;
		margin: 0 auto;
	}
	div.rent-calendar div.bottom-bar {
		display: block;
		text-align: center;
		padding: 4px 0;
	}
	div.rent-calendar button {
		background: #134792;
		color: white;
		font-size: 9pt;
		padding: 2px 45px;
		border: 0;
		border-radius: 3px
	}
	div.rent-calendar button:active {
		background: #105bc8;
		box-shadow: 0 0 4px rgba(102, 175, 233, 1);
	}
	div.rent-calendar div.legend {
		display: flex;
		flex-wrap: wrap;
		max-width: 232px;
		min-height: auto;
		margin: 5px auto;
	}
	div.rent-calendar div.legend div.item {
		display: inline-flex;
		align-items: center;
		line-height: 1.05;
	}
	div.rent-calendar div.legend div.item span:first-child {
		margin-right: 6px;
	}
	div.rent-calendar div.legend span.legend-color {
		flex-shrink: 0;
	}
	body.rent-calendar-blackout {
		overflow: hidden;
	}
}
